import { EventFormatter } from "laravel-echo/dist/util/event-formatter";
import { Channel } from "laravel-echo/dist/channel/channel";
/**
 * This class represents a null channel.
 */
export declare class SseChannel extends Channel {
    /**
     * The eventsource instance
     */
    eventSource: EventSource;
    /**
     * The name of the channel.
     */
    name: any;
    /**
     * Channel options.
     */
    options: any;
    /**
     * The event formatter.
     */
    eventFormatter: EventFormatter;
    /**
     * The event callbacks applied to the channel.
     */
    events: any;
    /**
     * Create a new class instance.
     */
    constructor(eventSource: EventSource, name: any, options: any);
    /**
     * Listen for an event on the channel instance.
     */
    listen(event: string, callback: Function): SseChannel;
    /**
     * Stop listening for an event on the channel instance.
     */
    stopListening(event: string): SseChannel;
}
