import {PresenceChannel} from 'laravel-echo/dist/channel/presence-channel';
import {SseChannel} from "./sse-channel";

/**
 * This class represents a null channel.
 */
export class SsePresenceChannel extends SseChannel implements PresenceChannel {

    here(callback: Function): SsePresenceChannel {
        return this;
    }

    /**
     * Listen for someone joining the channel.
     */
    joining(callback: Function): SsePresenceChannel {
        return this;
    }

    /**
     * Listen for someone leaving the channel.
     */
    leaving(callback: Function): SsePresenceChannel {
        return this;
    }

}
